Search documentation of polar_express

# PolarExpress.Schemas.OrderItemSchema (polar_express v0.1.5)

Copy Markdown View Source

OrderItemSchema

An order line item.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.OrderItemSchema{
      amount: integer() | nil,
      created_at: DateTime.t() | nil,
      id: String.t() | nil,
      label: String.t() | nil,
      modified_at: DateTime.t() | nil,
      product_price_id: String.t() | nil,
      proration: boolean() | nil,
      tax_amount: integer() | nil
    }

- `amount` - Amount in cents, before discounts and taxes.
- `created_at` - Creation timestamp of the object. Format: date-time.
- `id` - The ID of the object. Format: uuid4.
- `label` - Description of the line item charge.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `product_price_id` - Associated price ID, if any. Nullable.
- `proration` - Whether this charge is due to a proration.
- `tax_amount` - Sales tax amount in cents.

## Functions

# schema_name()